# EC-TOPSIS

## Introduction

This library introduces the **EC-TOPSIS** method, a novel criteria-weighting hybrid technique. Merging ENTROPY, CRITIC, and TOPSIS methods, this innovation establishes a weight range for each criterion, maintaining the uniqueness of each method. These ranges, bounded by lower and upper limits, produce multiple weight sets per criterion and various rankings. After several iterations, the results reveal the dynamic behavior of alternatives under varied weights. Contrasting traditional models that offer a single ranking, this method highlights positional shifts across iterations, granting decision-makers a more explicit, less uncertain decision-making pathway.

## Usage

1. Install

```bash
pip install ec_topsis

```

2. Try it in **Colab**:

- Example ([ Colab Demo ](https://colab.research.google.com/drive/10zFlRU4MDRg5cKoByFSY0aGUI9M0m3Nf?usp=sharing)) 

3. Other MCDA Methods:

- [3MOAHP](https://github.com/Valdecy/Method_3MOAHP) - Inconsistency Reduction Technique for AHP and Fuzzy-AHP Methods
- [EC-PROMETHEE](https://github.com/Valdecy/ec_promethee) -  A Committee Approach for Outranking Problems
- [ELECTRE-Tree](https://github.com/Valdecy/ELECTRE-Tree) - Algorithm to infer the ELECTRE Tri-B method parameters
- [MCDM Scheduler](https://github.com/Valdecy/mcdm_scheduler) -  A MCDM approach for Scheduling Problems
- [Ranking-Trees](https://github.com/Valdecy/Ranking-Trees) - Algorithm to infer the ELECTRE II, III, IV and PROMETHEE I, II, III, IV method parameters
- [pyDecision](https://github.com/Valdecy/pyDecision) - A library for many MCDA methods
- [pyMissingAHP](https://github.com/Valdecy/pyMissingAHP) - A Method to Infer AHP Missing Pairwise Comparisons
- [pyRankMCDA](https://github.com/Valdecy/pyRankMCDA) -  A Rank Aggegation Library for MCDA problems

